%global groupId     org.glite
%global artifactId  jobid-api-java

Name:           glite-jobid-api-java
Version:        1.3.6
Release:        1%{?dist}
Summary:        JAVA implementation of handling gLite jobid

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.jobid.api-java/%{name}-%{version}.tar.gz
# https://github.com/CESNET/glite-lb/commit/5d1f18ef7a2b144edecf82c8b9b6158045dc3f47
Patch0:         pom.patch

BuildArch:      noarch
BuildRequires:  ant
BuildRequires:  jakarta-commons-codec
BuildRequires:  jpackage-utils
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
%if 0%{?fedora} >= 18
BuildRequires:  maven-local
%else
BuildRequires:  java-devel
%endif
Requires:       jakarta-commons-codec
Requires:       java
Requires:       jpackage-utils
%if 0%{?rhel} || 0%{?fedora} < 18
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
%endif

%description
JAVA implementation of library handling gLite jobid.


%package        javadoc
Summary:        Java API documentation for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description    javadoc
This package contains java API documentation for java implementation of gLite
jobid.


%prep
%setup -q
%patch0 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module jobid.api-java
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
install -m 0644 JPP-%{name}.pom $RPM_BUILD_ROOT%{_mavenpomdir}
%if 0%{?add_maven_depmap:1}
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%else
%add_to_maven_depmap %{groupId} %{artifactId} %{version} JPP %{name}
%endif


%if 0%{?rhel} || 0%{?fedora} < 18
%post
%update_maven_depmap
%endif


%if 0%{?rhel} || 0%{?fedora} < 18
%postun
%update_maven_depmap
%endif


%files
%doc LICENSE project/ChangeLog
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Mon Aug 26 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.6-1
- Initial package
